Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface SXCMPQ

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PQ, QTY

All Known Subinterfaces:
  BXITIVLPQ, IVLPQ

All Known Implementing Classes:
  BXITIVLPQImpl, IVLPQImpl, SXCMPQImpl

    public interface SXCMPQ

extends PQ

A representation of the model object 'SXCMPQ'.

The following features are supported:

- `Operator`

See Also:
  `CDAR2Package.getSXCMPQ()`

Method Summary
`SetOperator` | `getOperator()` Returns the value of the 'Operator' attribute.
`boolean` | `isSetOperator()` Returns whether the value of the '`Operator`' attribute is set.
`void` | `setOperator(SetOperator value)` Sets the value of the '`Operator`' attribute.
`void` | `unsetOperator()` Unsets the value of the '`Operator`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.PQ
`getTranslation, getUnit, getValue, isSetUnit, setUnit, setValue, unsetUnit`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperator

    SetOperator getOperator()

  Returns the value of the 'Operator' attribute. The default value is `"I"`. The literals are from the enumeration `SetOperator`. A code specifying whether the set component is included (union) or excluded (set-difference) from the set, or other set operations with the current set component and the set as constructed from the representation stream up to the current point.

  Returns:
    the value of the 'Operator' attribute.
  See Also:
    `SetOperator`, `isSetOperator()`, `unsetOperator()`, `setOperator(SetOperator)`, `CDAR2Package.getSXCMPQ_Operator()`

### setOperator

    void setOperator(SetOperator value)

  Sets the value of the '`Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Operator' attribute.
  See Also:
    `SetOperator`, `isSetOperator()`, `unsetOperator()`, `getOperator()`

### unsetOperator

    void unsetOperator()

  Unsets the value of the '`Operator`' attribute.

  See Also:
    `isSetOperator()`, `getOperator()`, `setOperator(SetOperator)`

### isSetOperator

    boolean isSetOperator()

  Returns whether the value of the '`Operator`' attribute is set.

  Returns:
    whether the value of the 'Operator' attribute is set.
  See Also:
    `unsetOperator()`, `getOperator()`, `setOperator(SetOperator)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD